On February 10th, 2020, we will be ending support for legacy browsers including Internet Explorer 10 and below and Safari 6 and below.

Please be aware that you and your bookers must update to a supported browser before this date to continue using our service.

Find out more about browsers we support.

If you or your bookers are seeing something similar to the examples below, you will need to update your browser:

YouCanBook.me ends support for legacy browsers

YouCanBook.me ends support for legacy browsers

Kayleigh Bingham

Written by

Kayleigh Bingham

Kayleigh is a Product Manager at YoucanBook.me. She's passionate about putting our customers at the center of everything we do. Pen and paper in hand, and never far from some post-its, Kayleigh is always working on ways to add more value to our product.

Getting started is fast and easy

Get started with a FREE 14 day trial of our paid plan to test out all the features.

Get started for FREE

No credit card required. Cancel anytime.